Bug 14612 - Overdue notice triggers should show branchname instead of branchcode
Summary: Overdue notice triggers should show branchname instead of branchcode
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-28 22:08 UTC by Katrin Fischer
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14612 - Overdue notice triggers should show branchname instead of branchcode (3.21 KB, patch)
2016-08-18 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 14612 - Overdue notice triggers should show branchname instead of branchcode (3.30 KB, patch)
2016-08-18 18:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14612 - Overdue notice triggers should show branchname instead of branchcode (3.37 KB, patch)
2016-08-19 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-07-28 22:08:19 UTC
In tools > overdue notice/status triggers the branchcode is shown in several spots instead of the branchname.
Comment 1 Owen Leonard 2016-08-18 17:13:40 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-08-18 18:28:00 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-19 15:49:26 UTC
Created attachment 54651 [details] [review]
Bug 14612 - Overdue notice triggers should show branchname instead of branchcode

This patch adds the Branches template plugin to the overdue notice
triggers template so that the library name can be shown instead of the
branchcode.

Also changed: Updated page title to match the name used in tools menus.

To test, apply the patch and go to Tools -> Overdue notice/status
triggers.

- Select a library.
- When the page reloads, the 'Defining overdue actions for...' and
  'Rules for overdue actions: ' headings should show the library name
  instead of the branchcode.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-02 16:49:28 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-09-08 19:59:11 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 07:50:21 UTC
Pushed to 3.22.x, will be in 3.22.11